Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageData Class Reference

`#include <vtkImageData.h>`

Inheritance diagram for vtkImageData:

[legend]
Collaboration diagram for vtkImageData:

[legend]
List of all members.

## Detailed Description

topologically and geometrically regular array of data

Date:
  2002/12/26 18:24:21

Revision:
  1.102

vtkImageData is a data object that is a concrete implementation of vtkDataSet. vtkImageData represents a geometric structure that is a topological and geometrical regular array of points. Examples include volumes (voxel data) and pixmaps.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (70%)
  - Martin, Ken (15%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkImageData.h)`
  - .`cxx` (`/Common/vtkImageData.cxx)`

Examples:
  vtkImageData (Examples)

Tests:
  vtkImageData (Tests)

Definition at line 58 of file vtkImageData.h.

## Public Types
typedef vtkDataSet | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | CopyStructure (vtkDataSet *ds)
int | GetDataObjectType ()
void | UpdateData ()
void | SetDimensions (int i, int j, int k)
void | SetDimensions (int dims[3])
int | ComputeStructuredCoordinates (float x[3], int ijk[3], float pcoords[3])
void | GetVoxelGradient (int i, int j, int k, vtkDataArray *s, vtkDataArray *g)
void | GetPointGradient (int i, int j, int k, vtkDataArray *s, float g[3])
int | GetDataDimension ()
virtual unsigned long | GetEstimatedMemorySize ()
int | GetScalarSize ()
void | GetContinuousIncrements (int extent[6], int &incX, int &incY, int &incZ)
void | AllocateScalars ()
virtual void | Crop ()
unsigned long | GetActualMemorySize ()
void | CopyTypeSpecificInformation (vtkDataObject *image)
virtual void | PrepareForNewData ()
void | GetArrayIncrements (vtkDataArray *array, int increments[3])
void | ComputeInternalExtent (int *intExt, int *tgtExt, int *bnds)
vtkIdType | GetNumberOfCells ()
vtkIdType | GetNumberOfPoints ()
float * | GetPoint (vtkIdType ptId)
void | GetPoint (vtkIdType id, float x[3])
vtkCell * | GetCell (vtkIdType cellId)
void | GetCell (vtkIdType cellId, vtkGenericCell *cell)
void | GetCellBounds (vtkIdType cellId, float bounds[6])
vtkIdType | FindPoint (float x, float y, float z)
vtkIdType | FindPoint (float x[3])
vtkIdType | FindCell (float x[3], vtkCell *cell, vtkIdType cellId, float tol2, int &subId, float pcoords[3], float *weights)
vtkIdType | FindCell (float x[3], vtkCell *cell, vtkGenericCell *gencell, vtkIdType cellId, float tol2, int &subId, float pcoords[3], float *weights)
vtkCell * | FindAndGetCell (float x[3], vtkCell *cell, vtkIdType cellId, float tol2, int &subId, float pcoords[3], float *weights)
int | GetCellType (vtkIdType cellId)
void | GetCellPoints (vtkIdType cellId, vtkIdList *ptIds)
void | GetPointCells (vtkIdType ptId, vtkIdList *cellIds)
void | ComputeBounds ()
int | GetMaxCellSize ()
int * | GetDimensions ()
void | GetDimensions (int dims[3])
vtkIdType | ComputePointId (int ijk[3])
vtkIdType | ComputeCellId (int ijk[3])
void | SetAxisUpdateExtent (int axis, int min, int max)
void | GetAxisUpdateExtent (int axis, int &min, int &max)
void | SetUpdateExtent (int piece, int numPieces, int ghostLevel)
void | SetUpdateExtent (int piece, int numPieces)
void | SetUpdateExtent (int x1, int x2, int y1, int y2, int z1, int z2)
void | SetUpdateExtent (int ext[6])
void | SetExtent (int extent[6])
void | SetExtent (int x1, int x2, int y1, int y2, int z1, int z2)
virtual int * | GetExtent ()
virtual void | GetExtent (int &, int &, int &, int &, int &, int &)
virtual void | GetExtent (int[6])
double | GetScalarTypeMin ()
double | GetScalarTypeMax ()
int * | GetIncrements ()
void | GetIncrements (int &incX, int &incY, int &incZ)
void | GetIncrements (int inc[3])
void * | GetScalarPointerForExtent (int extent[6])
void * | GetScalarPointer (int coordinates[3])
void * | GetScalarPointer (int x, int y, int z)
void * | GetScalarPointer ()
float | GetScalarComponentAsFloat (int x, int y, int z, int component)
void | SetScalarComponentFromFloat (int x, int y, int z, int component, float v)
void | CopyAndCastFrom (vtkImageData *inData, int extent[6])
void | CopyAndCastFrom (vtkImageData *inData, int x0, int x1, int y0, int y1, int z0, int z1)
virtual void | SetSpacing (float, float, float)
virtual void | SetSpacing (float[3])
virtual float * | GetSpacing ()
virtual void | GetSpacing (float &, float &, float &)
virtual void | GetSpacing (float[3])
virtual void | SetOrigin (float, float, float)
virtual void | SetOrigin (float[3])
virtual float * | GetOrigin ()
virtual void | GetOrigin (float &, float &, float &)
virtual void | GetOrigin (float[3])
void | SetScalarTypeToFloat ()
void | SetScalarTypeToDouble ()
void | SetScalarTypeToInt ()
void | SetScalarTypeToUnsignedInt ()
void | SetScalarTypeToLong ()
void | SetScalarTypeToUnsignedLong ()
void | SetScalarTypeToShort ()
void | SetScalarTypeToUnsignedShort ()
void | SetScalarTypeToUnsignedChar ()
void | SetScalarTypeToChar ()
virtual void | SetScalarType (int)
int | GetScalarType ()
const char * | GetScalarTypeAsString ()
void | SetNumberOfScalarComponents (int n)
virtual int | GetNumberOfScalarComponents ()
void | ShallowCopy (vtkDataObject *src)
void | DeepCopy (vtkDataObject *src)
void * | GetArrayPointerForExtent (vtkDataArray *array, int extent[6])
void * | GetArrayPointer (vtkDataArray *array, int coordinates[3])
## Static Public Methods
vtkImageData * | New ()
int | IsTypeOf (const char *type)
vtkImageData * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageData ()
| ~vtkImageData ()
int | GetExtentType ()
void | ComputeIncrements ()
## Protected Attributes
vtkVertex * | Vertex
vtkLine * | Line
vtkPixel * | Pixel
vtkVoxel * | Voxel
int | Dimensions [3]
int | DataDescription
int | Increments [3]
float | Origin [3]
float | Spacing [3]
int | ScalarType
int | NumberOfScalarComponents

## Member Typedef Documentation

typedef vtkDataSet vtkImageData::Superclass

| Reimplemented from vtkDataSet. Reimplemented in vtkStructuredPoints, and vtkImageCanvasSource2D. Definition at line 63 of file vtkImageData.h.

## Constructor & Destructor Documentation

vtkImageData::vtkImageData | ( |  | ) | `[protected]`

vtkImageData::~vtkImageData | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageData* vtkImageData::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkDataObject. Reimplemented in vtkStructuredPoints, and vtkImageCanvasSource2D.

virtual const char* vtkImageData::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSet. Reimplemented in vtkStructuredPoints, and vtkImageCanvasSource2D.

int vtkImageData::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSet. Reimplemented in vtkStructuredPoints, and vtkImageCanvasSource2D.

virtual int vtkImageData::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSet. Reimplemented in vtkStructuredPoints, and vtkImageCanvasSource2D.

vtkImageData* vtkImageData::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSet. Reimplemented in vtkStructuredPoints, and vtkImageCanvasSource2D.

void vtkImageData::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSet. Reimplemented in vtkImageCanvasSource2D.

void vtkImageData::CopyStructure | ( | vtkDataSet * | ds | ) | `[virtual]`

| Copy the geometric and topological structure of an input image data object. Implements vtkDataSet.

int vtkImageData::GetDataObjectType | ( |  | ) | `[inline, virtual]`

| Return what type of dataset this is. Reimplemented from vtkDataSet. Reimplemented in vtkStructuredPoints. Definition at line 71 of file vtkImageData.h. References VTK_IMAGE_DATA.

void vtkImageData::UpdateData | ( |  | ) | `[virtual]`

| This update method will supply the ghost level arrays if they are requested. Reimplemented from vtkDataObject.

vtkIdType vtkImageData::GetNumberOfCells | ( |  | ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet.

vtkIdType vtkImageData::GetNumberOfPoints | ( |  | ) | `[inline, virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet. Definition at line 391 of file vtkImageData.h. References GetDimensions(), and vtkIdType.

float* vtkImageData::GetPoint | ( | vtkIdType | ptId | ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet. Referenced by GetPoint().

void vtkImageData::GetPoint | ( | vtkIdType | id,
|  | float | x[3]
| ) | `[inline, virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Reimplemented from vtkDataSet. Definition at line 383 of file vtkImageData.h. References GetPoint(), id, and vtkIdType.

vtkCell* vtkImageData::GetCell | ( | vtkIdType | cellId | ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet.

void vtkImageData::GetCell | ( | vtkIdType | cellId,
|  | vtkGenericCell * | cell
| ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet.

void vtkImageData::GetCellBounds | ( | vtkIdType | cellId,
|  | float | bounds[6]
| ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Reimplemented from vtkDataSet.

vtkIdType vtkImageData::FindPoint | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Reimplemented from vtkDataSet. Definition at line 86 of file vtkImageData.h. References vtkDataSet::FindPoint(), and vtkIdType.

vtkIdType vtkImageData::FindPoint | ( | float | x[3] | ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet.

vtkIdType vtkImageData::FindCell | ( | float | x[3],
|  | vtkCell * | cell,
|  | vtkIdType | cellId,
|  | float | tol2,
|  | int & | subId,
|  | float | pcoords[3],
|  | float * | weights
| ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet.

vtkIdType vtkImageData::FindCell | ( | float | x[3],
|  | vtkCell * | cell,
|  | vtkGenericCell * | gencell,
|  | vtkIdType | cellId,
|  | float | tol2,
|  | int & | subId,
|  | float | pcoords[3],
|  | float * | weights
| ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet.

vtkCell* vtkImageData::FindAndGetCell | ( | float | x[3],
|  | vtkCell * | cell,
|  | vtkIdType | cellId,
|  | float | tol2,
|  | int & | subId,
|  | float | pcoords[3],
|  | float * | weights
| ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Reimplemented from vtkDataSet.

int vtkImageData::GetCellType | ( | vtkIdType | cellId | ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet.

void vtkImageData::GetCellPoints | ( | vtkIdType | cellId,
|  | vtkIdList * | ptIds
| ) | `[inline, virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet. Definition at line 97 of file vtkImageData.h. References vtkStructuredData::GetCellPoints(), and vtkIdType.

void vtkImageData::GetPointCells | ( | vtkIdType | ptId,
|  | vtkIdList * | cellIds
| ) | `[inline, virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet. Definition at line 100 of file vtkImageData.h. References vtkStructuredData::GetPointCells(), and vtkIdType.

void vtkImageData::ComputeBounds | ( |  | ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Reimplemented from vtkDataSet.

int vtkImageData::GetMaxCellSize | ( |  | ) | `[inline, virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet. Definition at line 103 of file vtkImageData.h.

void vtkImageData::SetDimensions | ( | int | i,
|  | int | j,
|  | int | k
| ) |

| Set dimensions of structured points dataset.

void vtkImageData::SetDimensions | ( | int | dims[3] | ) |

| Set dimensions of structured points dataset.

int* vtkImageData::GetDimensions | ( |  | ) |

| Get dimensions of this structured points dataset. Dimensions are computed from Extents during this call. Referenced by GetNumberOfPoints().

void vtkImageData::GetDimensions | ( | int | dims[3] | ) |

| Get dimensions of this structured points dataset. Dimensions are computed from Extents during this call.

int vtkImageData::ComputeStructuredCoordinates | ( | float | x[3],
|  | int | ijk[3],
|  | float | pcoords[3]
| ) |

| Convenience function computes the structured coordinates for a point x[3]. The voxel is specified by the array ijk[3], and the parametric coordinates in the cell are specified with pcoords[3]. The function returns a 0 if the point x is outside of the volume, and a 1 if inside the volume.

void vtkImageData::GetVoxelGradient | ( | int | i,
|  | int | j,
|  | int | k,
|  | vtkDataArray * | s,
|  | vtkDataArray * | g
| ) |

| Given structured coordinates (i,j,k) for a voxel cell, compute the eight gradient values for the voxel corners. The order in which the gradient vectors are arranged corresponds to the ordering of the voxel points. Gradient vector is computed by central differences (except on edges of volume where forward difference is used). The scalars s are the scalars from which the gradient is to be computed. This method will treat only 3D structured point datasets (i.e., volumes).

void vtkImageData::GetPointGradient | ( | int | i,
|  | int | j,
|  | int | k,
|  | vtkDataArray * | s,
|  | float | g[3]
| ) |

| Given structured coordinates (i,j,k) for a point in a structured point dataset, compute the gradient vector from the scalar data at that point. The scalars s are the scalars from which the gradient is to be computed. This method will treat structured point datasets of any dimension.

int vtkImageData::GetDataDimension | ( |  | ) | `[inline]`

| Return the dimensionality of the data. Definition at line 397 of file vtkImageData.h. References vtkStructuredData::GetDataDimension().

vtkIdType vtkImageData::ComputePointId | ( | int | ijk[3] | ) | `[inline]`

| Given a location in structured coordinates (i-j-k), return the point id. Definition at line 149 of file vtkImageData.h. References vtkStructuredData::ComputePointId(), and vtkIdType.

vtkIdType vtkImageData::ComputeCellId | ( | int | ijk[3] | ) | `[inline]`

| Given a location in structured coordinates (i-j-k), return the cell id. Definition at line 156 of file vtkImageData.h. References vtkStructuredData::ComputeCellId(), and vtkIdType.

void vtkImageData::SetAxisUpdateExtent | ( | int | axis,
|  | int | min,
|  | int | max
| ) |

| Set / Get the extent on just one axis

void vtkImageData::GetAxisUpdateExtent | ( | int | axis,
|  | int & | min,
|  | int & | max
| ) |

| Set / Get the extent on just one axis

void vtkImageData::SetUpdateExtent | ( | int | piece,
|  | int | numPieces,
|  | int | ghostLevel
| ) |

| Required for the lowest common denominator for setting the UpdateExtent (i.e. vtkDataSetToStructuredPointsFilter). This assumes that WholeExtent is valid (UpdateInformation has been called).

void vtkImageData::SetUpdateExtent | ( | int | piece,
|  | int | numPieces
| ) | `[inline]`

| Required for the lowest common denominator for setting the UpdateExtent (i.e. vtkDataSetToStructuredPointsFilter). This assumes that WholeExtent is valid (UpdateInformation has been called). Reimplemented from vtkDataObject. Definition at line 171 of file vtkImageData.h. References vtkDataObject::SetUpdateExtent().

void vtkImageData::SetUpdateExtent | ( | int | x1,
|  | int | x2,
|  | int | y1,
|  | int | y2,
|  | int | z1,
|  | int | z2
| ) | `[inline, virtual]`

| Call superclass method to avoid hiding Reimplemented from vtkDataObject. Definition at line 177 of file vtkImageData.h. References vtkDataObject::SetUpdateExtent().

void vtkImageData::SetUpdateExtent | ( | int | ext[6] | ) | `[inline, virtual]`

| Call superclass method to avoid hiding Reimplemented from vtkDataObject. Definition at line 179 of file vtkImageData.h. References vtkDataObject::SetUpdateExtent().

void vtkImageData::SetExtent | ( | int | extent[6] | ) |

| Different ways to set the extent of the data array. The extent should be set before the "Scalars" are set or allocated. The Extent is stored in the order (X, Y, Z).

void vtkImageData::SetExtent | ( | int | x1,
|  | int | x2,
|  | int | y1,
|  | int | y2,
|  | int | z1,
|  | int | z2
| ) |

| Different ways to set the extent of the data array. The extent should be set before the "Scalars" are set or allocated. The Extent is stored in the order (X, Y, Z). Reimplemented in vtkImageCanvasSource2D.

virtual int* vtkImageData::GetExtent | ( |  | ) | `[virtual]`

| Different ways to set the extent of the data array. The extent should be set before the "Scalars" are set or allocated. The Extent is stored in the order (X, Y, Z).

virtual void vtkImageData::GetExtent | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Different ways to set the extent of the data array. The extent should be set before the "Scalars" are set or allocated. The Extent is stored in the order (X, Y, Z).

virtual void vtkImageData::GetExtent | ( | int | [6] | ) | `[virtual]`

| Different ways to set the extent of the data array. The extent should be set before the "Scalars" are set or allocated. The Extent is stored in the order (X, Y, Z).

virtual unsigned long vtkImageData::GetEstimatedMemorySize | ( |  | ) | `[virtual]`

| Get the estimated size of this data object itself. Should be called after UpdateInformation() and PropagateUpdateExtent() have both been called. This estimate should be fairly accurate since this is structured data. Reimplemented from vtkDataObject.

double vtkImageData::GetScalarTypeMin | ( |  | ) |

| These returns the minimum and maximum values the ScalarType can hold without overflowing.

double vtkImageData::GetScalarTypeMax | ( |  | ) |

| These returns the minimum and maximum values the ScalarType can hold without overflowing.

int vtkImageData::GetScalarSize | ( |  | ) |

| Set the size of the scalar type in bytes.

int* vtkImageData::GetIncrements | ( |  | ) |

| Different ways to get the increments for moving around the data. GetIncrements() calls ComputeIncrements() to ensure the increments are up to date.

void vtkImageData::GetIncrements | ( | int & | incX,
|  | int & | incY,
|  | int & | incZ
| ) |

| Different ways to get the increments for moving around the data. GetIncrements() calls ComputeIncrements() to ensure the increments are up to date.

void vtkImageData::GetIncrements | ( | int | inc[3] | ) |

| Different ways to get the increments for moving around the data. GetIncrements() calls ComputeIncrements() to ensure the increments are up to date.

void vtkImageData::GetContinuousIncrements | ( | int | extent[6],
|  | int & | incX,
|  | int & | incY,
|  | int & | incZ
| ) |

| Different ways to get the increments for moving around the data. incX is always returned with 0. incY is returned with the increment needed to move from the end of one X scanline of data to the start of the next line. incZ is filled in with the increment needed to move from the end of one image to the start of the next. The proper way to use these values is to for a loop over Z, Y, X, C, incrementing the pointer by 1 after each component. When the end of the component is reached, the pointer is set to the beginning of the next pixel, thus incX is properly set to 0.

void* vtkImageData::GetScalarPointerForExtent | ( | int | extent[6] | ) |

| Access the native pointer for the scalar data

void* vtkImageData::GetScalarPointer | ( | int | coordinates[3] | ) |

| Access the native pointer for the scalar data

void* vtkImageData::GetScalarPointer | ( | int | x,
|  | int | y,
|  | int | z
| ) |

| Access the native pointer for the scalar data

void* vtkImageData::GetScalarPointer | ( |  | ) |

| Access the native pointer for the scalar data

float vtkImageData::GetScalarComponentAsFloat | ( | int | x,
|  | int | y,
|  | int | z,
|  | int | component
| ) |

| For access to data from tcl

void vtkImageData::SetScalarComponentFromFloat | ( | int | x,
|  | int | y,
|  | int | z,
|  | int | component,
|  | float | v
| ) |

| For access to data from tcl

void vtkImageData::AllocateScalars | ( |  | ) |

| Allocate the vtkScalars object associated with this object.

void vtkImageData::CopyAndCastFrom | ( | vtkImageData * | inData,
|  | int | extent[6]
| ) |

| This method is passed a input and output region, and executes the filter algorithm to fill the output from the input. It just executes a switch statement to call the correct function for the regions data types.

void vtkImageData::CopyAndCastFrom | ( | vtkImageData * | inData,
|  | int | x0,
|  | int | x1,
|  | int | y0,
|  | int | y1,
|  | int | z0,
|  | int | z1
| ) | `[inline]`

| This method is passed a input and output region, and executes the filter algorithm to fill the output from the input. It just executes a switch statement to call the correct function for the regions data types. Definition at line 251 of file vtkImageData.h.

virtual void vtkImageData::Crop | ( |  | ) | `[virtual]`

| Reallocates and copies to set the Extent to the UpdateExtent. This is used internally when the exact extent is requested, and the source generated more than the update extent. Reimplemented from vtkDataObject.

unsigned long vtkImageData::GetActualMemorySize | ( |  | ) | `[virtual]`

| Return the actual size of the data in kilobytes. This number is valid only after the pipeline has updated. The memory size returned is guaranteed to be greater than or equal to the memory required to represent the data (e.g., extra space in arrays, etc. are not included in the return value). THIS METHOD IS THREAD SAFE. Reimplemented from vtkDataSet.

virtual void vtkImageData::SetSpacing | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set the spacing (width,height,length) of the cubical cells that compose the data set.

virtual void vtkImageData::SetSpacing | ( | float | [3] | ) | `[virtual]`

| Set the spacing (width,height,length) of the cubical cells that compose the data set.

virtual float* vtkImageData::GetSpacing | ( |  | ) | `[virtual]`

| Set the spacing (width,height,length) of the cubical cells that compose the data set.

virtual void vtkImageData::GetSpacing | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set the spacing (width,height,length) of the cubical cells that compose the data set.

virtual void vtkImageData::GetSpacing | ( | float | [3] | ) | `[virtual]`

| Set the spacing (width,height,length) of the cubical cells that compose the data set.

virtual void vtkImageData::SetOrigin | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set the origin of the data. The origin plus spacing determine the position in space of the points.

virtual void vtkImageData::SetOrigin | ( | float | [3] | ) | `[virtual]`

| Set the origin of the data. The origin plus spacing determine the position in space of the points.

virtual float* vtkImageData::GetOrigin | ( |  | ) | `[virtual]`

| Set the origin of the data. The origin plus spacing determine the position in space of the points.

virtual void vtkImageData::GetOrigin | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set the origin of the data. The origin plus spacing determine the position in space of the points.

virtual void vtkImageData::GetOrigin | ( | float | [3] | ) | `[virtual]`

| Set the origin of the data. The origin plus spacing determine the position in space of the points.

void vtkImageData::SetScalarTypeToFloat | ( |  | ) | `[inline]`

| Set/Get the data scalar type (i.e VTK_FLOAT). Definition at line 285 of file vtkImageData.h. References VTK_FLOAT.

void vtkImageData::SetScalarTypeToDouble | ( |  | ) | `[inline]`

| Set/Get the data scalar type (i.e VTK_FLOAT). Definition at line 286 of file vtkImageData.h. References VTK_DOUBLE.

void vtkImageData::SetScalarTypeToInt | ( |  | ) | `[inline]`

| Set/Get the data scalar type (i.e VTK_FLOAT). Definition at line 287 of file vtkImageData.h. References VTK_INT.

void vtkImageData::SetScalarTypeToUnsignedInt | ( |  | ) | `[inline]`

| Set/Get the data scalar type (i.e VTK_FLOAT). Definition at line 288 of file vtkImageData.h. References VTK_UNSIGNED_INT.

void vtkImageData::SetScalarTypeToLong | ( |  | ) | `[inline]`

| Set/Get the data scalar type (i.e VTK_FLOAT). Definition at line 290 of file vtkImageData.h. References VTK_LONG.

void vtkImageData::SetScalarTypeToUnsignedLong | ( |  | ) | `[inline]`

| Set/Get the data scalar type (i.e VTK_FLOAT). Definition at line 291 of file vtkImageData.h. References VTK_UNSIGNED_LONG.

void vtkImageData::SetScalarTypeToShort | ( |  | ) | `[inline]`

| Set/Get the data scalar type (i.e VTK_FLOAT). Definition at line 293 of file vtkImageData.h. References VTK_SHORT.

void vtkImageData::SetScalarTypeToUnsignedShort | ( |  | ) | `[inline]`

| Set/Get the data scalar type (i.e VTK_FLOAT). Definition at line 294 of file vtkImageData.h. References VTK_UNSIGNED_SHORT.

void vtkImageData::SetScalarTypeToUnsignedChar | ( |  | ) | `[inline]`

| Set/Get the data scalar type (i.e VTK_FLOAT). Definition at line 296 of file vtkImageData.h. References VTK_UNSIGNED_CHAR.

void vtkImageData::SetScalarTypeToChar | ( |  | ) | `[inline]`

| Set/Get the data scalar type (i.e VTK_FLOAT). Definition at line 298 of file vtkImageData.h. References VTK_CHAR.

virtual void vtkImageData::SetScalarType | ( | int |  | ) | `[virtual]`

| Set/Get the data scalar type (i.e VTK_FLOAT).

int vtkImageData::GetScalarType | ( |  | ) |

| Set/Get the data scalar type (i.e VTK_FLOAT).

const char* vtkImageData::GetScalarTypeAsString | ( |  | ) | `[inline]`

| Set/Get the data scalar type (i.e VTK_FLOAT). Definition at line 302 of file vtkImageData.h.

void vtkImageData::SetNumberOfScalarComponents | ( | int | n | ) |

| Set/Get the number of scalar components for points.

virtual int vtkImageData::GetNumberOfScalarComponents | ( |  | ) | `[virtual]`

| Set/Get the number of scalar components for points.

void vtkImageData::CopyTypeSpecificInformation | ( | vtkDataObject * | image | ) | `[virtual]`

| By default, there is no type specific information Reimplemented from vtkDataObject.

virtual void vtkImageData::PrepareForNewData | ( |  | ) | `[virtual]`

| make the output data ready for new data to be inserted. For most objects we just call Initialize. But for image data we leave the old data in case the memory can be reused. Reimplemented from vtkDataObject.

void vtkImageData::ShallowCopy | ( | vtkDataObject * | src | ) | `[virtual]`

| Shallow and Deep copy. Reimplemented from vtkDataSet.

void vtkImageData::DeepCopy | ( | vtkDataObject * | src | ) | `[virtual]`

| Shallow and Deep copy. Reimplemented from vtkDataSet.

void* vtkImageData::GetArrayPointerForExtent | ( | vtkDataArray * | array,
|  | int | extent[6]
| ) |

| These are convienence methods for getting a pointer from any filed array. It is a start at expanding image filters to process any array (not just scalars).

void* vtkImageData::GetArrayPointer | ( | vtkDataArray * | array,
|  | int | coordinates[3]
| ) |

| These are convienence methods for getting a pointer from any filed array. It is a start at expanding image filters to process any array (not just scalars).

void vtkImageData::GetArrayIncrements | ( | vtkDataArray * | array,
|  | int | increments[3]
| ) |

| Since various arrays have different number of components, the will have different increments.

void vtkImageData::ComputeInternalExtent | ( | int * | intExt,
|  | int * | tgtExt,
|  | int * | bnds
| ) |

| Given how many pixel are required on a side for bounrary conditions (in bnds), the target extent to traverse, compute the internal extent (the extent for this ImageData that does nto suffer from any boundary conditions) and place it in intExt

int vtkImageData::GetExtentType | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkDataObject. Definition at line 359 of file vtkImageData.h. References VTK_3D_EXTENT.

void vtkImageData::ComputeIncrements | ( |  | ) | `[protected]`

## Member Data Documentation

vtkVertex* vtkImageData::Vertex`[protected]`

| Definition at line 353 of file vtkImageData.h.

vtkLine* vtkImageData::Line`[protected]`

| Definition at line 354 of file vtkImageData.h.

vtkPixel* vtkImageData::Pixel`[protected]`

| Definition at line 355 of file vtkImageData.h.

vtkVoxel* vtkImageData::Voxel`[protected]`

| Definition at line 356 of file vtkImageData.h.

int vtkImageData::Dimensions[3]`[protected]`

| Definition at line 364 of file vtkImageData.h.

int vtkImageData::DataDescription`[protected]`

| Definition at line 365 of file vtkImageData.h.

int vtkImageData::Increments[3]`[protected]`

| Definition at line 366 of file vtkImageData.h.

float vtkImageData::Origin[3]`[protected]`

| Definition at line 368 of file vtkImageData.h.

float vtkImageData::Spacing[3]`[protected]`

| Definition at line 369 of file vtkImageData.h.

int vtkImageData::ScalarType`[protected]`

| Definition at line 370 of file vtkImageData.h.

int vtkImageData::NumberOfScalarComponents`[protected]`

| Definition at line 371 of file vtkImageData.h.

The documentation for this class was generated from the following file:

- Common/vtkImageData.h